# 1.0.0[−][src]Trait std::os::unix::process::ExitStatusExt

    pub trait ExitStatusExt {
        fn from_raw(raw: i32) -> Self;
        fn signal(&self) -> Option<i32>;
    }

This is supported on Unix only.

Unix-specific extensions to `process::ExitStatus`.

## Required methods

### `fn from_raw(raw: i32) -> Self` 1.12.0

This is supported on Unix only.

Creates a new `ExitStatus` from the raw underlying `i32` return value of a process.

### `fn signal(&self) -> Option<i32>`

This is supported on Unix only.

If the process was terminated by a signal, returns that signal.

Loading content...

## Implementors

### `impl ExitStatusExt for ExitStatus`[src]

#### `fn from_raw(raw: i32) -> Self`[src]

This is supported on Unix only.

#### `fn signal(&self) -> Option<i32>`[src]

This is supported on Unix only.
Loading content...